Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.widget
Interface Widget

All Superinterfaces:
  Disposable, Plugin, Selectable

All Known Subinterfaces:
  ClsWidget, SlotWidget, TabWidget

All Known Implementing Classes:
  AbstractClsWidget, AbstractListWidget, AbstractSlotWidget, AbstractTableWidget, AbstractTabWidget, AbstractTreeWidget, BooleanListWidget, CheckBoxWidget, ClsesAndInstancesTab, ClsesTab, ClsFieldWidget, ClsListWidget, ComboBoxWidget, ConstraintsWidget, DefaultValuesWidget, DigestedPasswordWidget, DirectDomainWidget, DirectInstancesWidget, DirectTypesWidget, DocumentationWidget, FloatFieldWidget, FloatListWidget, FormsTab, FormWidget, ImageWidget, InstanceFieldWidget, InstanceListWidget, InstanceNameWidget, InstancesTab, IntegerFieldWidget, IntegerListWidget, InverseSlotWidget, KAToolTab, MaximumCardinalityWidget, MinimumCardinalityWidget, NumberFieldWidget, NumericMaximumWidget, NumericMinimumWidget, PasswordFieldWidget, ProtegePropertiesTab, RoleWidget, SlotsTab, SlotValuesWidget, StringListWidget, SubclassWidget, SuperclassWidget, SymbolListWidget, TemplateSlotsWidget, TextAreaWidget, TextComponentWidget, TextFieldWidget, UglyClsWidget, UglySlotWidget, UglyTabWidget, UniqueStringWidget, URLWidget, ValueTypeWidget, YellowStickyWidget

    public interface Widget

extends Selectable, Plugin

Basic interface for all widgets.

Author:
  Ray Fergerson

Method Summary
`boolean` | `configure()`
`WidgetDescriptor` | `getDescriptor()`
`KnowledgeBase` | `getKnowledgeBase()`
`String` | `getLabel()`
`Project` | `getProject()`
`void` | `initialize()`
`void` | `setLabel(String label)`

Methods inherited from interface edu.stanford.smi.protege.util.Selectable
`addSelectionListener, clearSelection, getSelection, notifySelectionListeners, removeSelectionListener`

Methods inherited from interface edu.stanford.smi.protege.plugin.Plugin
`getName`

Methods inherited from interface edu.stanford.smi.protege.util.Disposable
`dispose`

Method Detail

### configure

    boolean configure()

### getDescriptor

    WidgetDescriptor getDescriptor()

### getKnowledgeBase

    KnowledgeBase getKnowledgeBase()

### getLabel

    String getLabel()

### getProject

    Project getProject()

### initialize

    void initialize()

### setLabel

    void setLabel(String label)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.